import { request } from '/@/utils/service';

const apiPrefix = '/api/searchterm/';


export function getTableData(query: any) {
  return request({
    url: apiPrefix + 'weightterm/',
    method: 'GET',
    params: query,
  });
}

export function getFeatureWordData(query: any) {
  return request({
    url: apiPrefix + 'featureword/',
    method: 'GET',
    params: query,
  });
}

export function uploadFile(formData: any) {
  return request({
    url: apiPrefix + 'wordsresource/',
    method: 'POST',
    data: formData,
    headers: {
      'Content-Type': 'multipart/form-data',
    },
  });
}
